package com.gcsc.connection.user.repository;

import com.gcsc.connection.user.entity.SnpUser;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.Optional;

public interface SnpUserRepository extends JpaRepository<SnpUser, Long> {

    Optional<SnpUser> findByLoginId(String loginId);

    boolean existsByLoginId(String loginId);

    long countByIsActiveTrue();
}
